// Ball.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __BALL_H__
#define __BALL_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"

#define BALL_TYPE "ball"

class Ball : public GameObject{
	public:
	Ball();
	~Ball();

	int eventHandler(Event *event_ptr);
	void draw();

	int move(int x, int y);
	int moveAbsolute(int x, int y);
};

#endif // __BALL_H__
