// Bullet.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __BULLET_H__
#define __BULLET_H__

#include "Engine/GameObject.h"
#include "Engine/GraphicsManager.h"

#define BULLET_TYPE "bullet"

class Bullet : public GameObject{
	protected:
	int damage;
	int color;
	char display_char;

	public:
	Bullet(){}
	~Bullet(){}

	int getDamage(){ return damage; }
	void setDamage(int new_damage){ damage = new_damage; }
	int getColor(){ return color; }
	void setColor(int new_color){ color = new_color; }
	char getChar(){ return display_char; }
	void setChar(int new_char){ display_char = new_char; }

	void draw(){
		GraphicsManager &graph_manager = GraphicsManager::getInstance();
		graph_manager.drawCh(pos, display_char, color);
	}
};

#endif // __BULLET_H__
