// EnemyArrow.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __ENEMYARROW_H__
#define __ENEMYARROW_H__

#include "Engine/GameObject.h"

#include "Engine/EventManager.h"
#include "Engine/EventStep.h"
#include "Engine/EventCollision.h"
#include "Engine/WorldManager.h"

#define ENEMY_ARROW_TYPE "enemyarrow"

class EnemyArrow : public Bullet{
	private:
	int time_to_live;
	char display_char;

	public:
	EnemyArrow(int x, int y, float x_vel, float y_vel);
	~EnemyArrow();

	int eventHandler(Event *event_ptr);

	void draw();
};

#endif // __ENEMYARROW_H__
