// Box.h
// Brian Seney
// IMGD3000

#ifndef __BOX_H__
#define __BOX_H__

#include "Position.h"

class Box{
	private:
	Position pos;
	int width;
	int height;

	public:
	// constructors, destructor
	Box(){};
	Box(Position new_pos, int new_width, int new_height){
		pos = new_pos;
		width = new_width;
		height = new_height;
	}
	~Box(){};

	// getters, setters
	Position getPos(){ return pos; }
	void setPos(Position new_pos){
		pos.set_x(new_pos.get_x());
		pos.set_y(new_pos.get_y());
	}
	int getWidth(){ return width; }
	void setWidth(int new_width){ width = new_width; }
	int getHeight(){ return height; }
	void setHeight(int new_height){ height = new_height; }
};

#endif // __BOX_H__
