// EventMouse.h
// Brian Seney
// IMGD3000

#ifndef __EVENTMOUSE_H__
#define __EVENTMOUSE_H__

#include "Event.h"
#include "Position.h"

#define MOUSE_EVENT "mouse"

enum MouseAction{
	LEFT_CLICK,
	LEFT_DOUBLECLICK,
	RIGHT_CLICK,
	RIGHT_DOUBLECLICK,
	OTHER
};

class EventMouse : public Event{
	protected:
	Position mouse_pos;
	enum MouseAction action;
	
	public:
	EventMouse(){ type = MOUSE_EVENT; }

	enum MouseAction getMouseAction(){ return action; }
	void setMouseAction(enum MouseAction new_action){ action = new_action; }
	Position getMousePosition(){ return mouse_pos; }
	void setMousePosition(Position new_pos){ mouse_pos = new_pos; }
};

#endif // __EVENTMOUSE_H__
