// Position.h
// Brian Seney
// IMGD 3000

#ifndef __POSITION_H__
#define __POSITION_H__

class Position{
	private:
	int x_pos;
	int y_pos;

	public:
	// constructors, destructor
	Position(){};
	Position(int x, int y){
		x_pos = x;
		y_pos = y;
	}
	~Position(){};

	// getters, setters
	int get_x(){ return x_pos; }
	void set_x(int new_x){ x_pos = new_x; }
	int get_y(){ return y_pos; }
	void set_y(int new_y){ y_pos = new_y; }
	void set_pos(int new_x, int new_y){
		x_pos = new_x;
		y_pos = new_y;
	}

	// overloaded equality operator
	bool operator==(Position pos){
		return (pos.x_pos == x_pos && pos.y_pos == y_pos) ? true : false;
	}
};

#endif // __POSITION_H__
