// EventScore.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __EVENTSCORE_H__
#define __EVENTSCORE_H__

#include "Engine/Event.h"
#include "Engine/Position.h"

#define SCORE_EVENT "score"

class EventScore : public Event{
	protected:
	int score; // 2 = goal, 1 = miss, 0 = not attempted yet

	public:
	EventScore(int score_type){
		score = score_type;
		type = SCORE_EVENT;
	}

	int getScoreType(){ return score; }
	void setScoreType(int new_type){ score = new_type; }
};

#endif // __EVENTSCORE_H__
