// EventTargetMovement.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __EVENTTARGETMOVEMENT_H__
#define __EVENTTARGETMOVEMENT_H__

#include "Engine/Event.h"
#include "Engine/Position.h"

#define TARGETMOVEMENT_EVENT "targetmoved"

class EventTargetMovement : public Event{
	protected:
	Position target_pos;

	public:
	EventTargetMovement(Position t_pos){
		target_pos = t_pos;
		type = TARGETMOVEMENT_EVENT;
	}

	Position getTargetPos(){ return target_pos; }
};

#endif // __EVENTTARGETMOVEMENT_H__
