// OpponentDrunk.cpp
// Alfredo Porras, Brian Seney
// IMGD 3000

#include "OpponentDrunk.h"

OpponentDrunk::OpponentDrunk() {
	display_char = '@';
	color = 5;

	move_slowdown = 20;
}

OpponentDrunk::~OpponentDrunk() {

}

/* int OpponentDrunk::eventHandler(Event *event_ptr) {
	
} */

void OpponentDrunk::move() {
	move_countdown--;
	if (move_countdown > 0) {
		return;
	}
	move_countdown = move_slowdown;

	Position new_pos;
	direction = (random() % 4) + 1;
	switch(direction) {
		case 1:
		{
			new_pos.set_x( pos.get_x() );
			new_pos.set_y( pos.get_y() + 1);
			break;
		}
		case 2:
		{
			new_pos.set_x( pos.get_x() - 1);
			new_pos.set_y( pos.get_y() );
			break;
		}
		case 3:
		{
			new_pos.set_x( pos.get_x() );
			new_pos.set_y( pos.get_y() - 1);
			break;
		}
		case 4:
		{
			new_pos.set_x( pos.get_x() + 1);
			new_pos.set_y( pos.get_y() );
			break;
		}

	}

	// If the object could not be moved, try next time
	WorldManager &world_manager = WorldManager::getInstance();
	if(world_manager.moveObj(this, new_pos) == 1){
		return;
	}
}
