// Picture.h
// Brian Seney
// IMGD3000

#ifndef __PICTURE_H__
#define __PICTURE_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/Sprite.h"

class Picture : public GameObject{
	protected:
	int time_to_live;

	void startUp(); // add the object to the world and other initialization

	public:
	Picture();
	Picture(Sprite *spr_ptr); // A constructor that initializes the sprite
	~Picture();

	int getTimetoLive(){ return time_to_live; }
	void setTimetoLive(int new_time){ time_to_live = new_time; }

	int eventHandler(Event *event_ptr);
	void draw();
};

#endif // __PICTURE_H__

	
