// PostLevelPicture.h
// Brian Seney, Alfredo Porras
// IMGD3000
//  a subclass of Picture that loads a PreLevelPicture when destroyed

#ifndef __POSTLEVELPICTURE_H__
#define __POSTLEVELPICTURE_H__

#include "Picture.h"
#include "GameController.h"
#include "Engine/WorldManager.h"
#include "Engine/EventManager.h"
#include "Engine/EventStep.h"
#include "Engine/Sprite.h"
#include <string>

using namespace std;

class PostLevelPicture : public Picture{
	private:
	string level;
	string next_level_sprite;

	public:
	PostLevelPicture(string this_sprite, string pre_lvl_sprite, string level_to_load);
	~PostLevelPicture();
};

#endif // __POSTLEVELPICTURE_H__
