// PreLevelPicture.h
// Brian Seney, Alfredo Porras
// IMGD3000
//  a subclass of Picture that loads a level when it is destroyed

#ifndef __PRELEVELPICTURE_H__
#define __PRELEVELPICTURE_H__

#include "Picture.h"
#include "GameController.h"
#include "Engine/WorldManager.h"
#include "Engine/EventManager.h"
#include "Engine/EventStep.h"
#include "Engine/Sprite.h"
#include <string>

using namespace std;

class PreLevelPicture : public Picture{
	private:
	string level;

	public:
	PreLevelPicture(string sprite_to_load, string level_to_load);
	~PreLevelPicture();

	int eventHandler(Event *event_ptr);
};

#endif // __PRELEVELPICTURE_H__
