// Sword.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __SWORD_H__
#define __SWORD_H__

#include "Bullet.h"

#include "Engine/EventManager.h"
#include "Engine/EventStep.h"
#include "Engine/EventCollision.h"

#define SWORD_TYPE "sword"

class Sword : public Bullet{
	private:
	int time_to_live;

	public:
	Sword(int x, int y);
	~Sword();

	int eventHandler(Event *event_ptr);
};

#endif // __SWORD_H__
