// Arrow.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __ARROW_H__
#define __ARROW_H__

#include "Bullet.h"

#include "Engine/EventManager.h"
#include "Engine/EventStep.h"
#include "Engine/EventCollision.h"

#define ARROW_TYPE "arrow"

class Arrow : public Bullet{
	private:
	int time_to_live;

	public:
	Arrow(int x, int y, float x_vel, float y_vel);
	~Arrow();

	int eventHandler(Event *event_ptr);
};

#endif // __ARROW_H__
