// BlockBreakable.h
// Alfredo Porras, Brian Seney
// IMGD 3000

// simple block
#ifndef __BLOCK_BREAKABLE_H
#define __BLOCK_BREAKABLE_H

#include "Engine/GameObject.h"
#include "Block.h"
#include "Engine/EventCollision.h"

class BlockBreakable : public Block {
	protected:
		int resistance;
	
	public:
		BlockBreakable();
		BlockBreakable(Position p, int res);
		~BlockBreakable();
		int eventHandler(Event *p_e);
		void getHit(EventCollision *p_ec);

		void draw();
};

#endif
