// Bomb.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __BOMB_H__
#define __BOMB_H__

#include "Bullet.h"

#include "Engine/EventManager.h"
#include "Engine/EventStep.h"
#include "Engine/EventCollision.h"

#define BOMB_TYPE "bomb"

class Bomb : public Bullet{
	private:
	int time_to_live;

	public:
	Bomb(int x, int y, float x_vel, float y_vel);
	~Bomb();

	int eventHandler(Event *event_ptr);
};

#endif // __BOMB_H__
