// Boss.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __BOSS_H__
#define __BOSS_H__

#include "Engine/GameObject.h"

#define BOSS_TYPE "boss"

class Boss : public GameObject{
	private:
	int state;
	int state_countdown;
	int state_slowdown;

	Position target;

	int move_slowdown;
	int move_countdown;

	int health;

	public:
	Boss();
	~Boss();

	int eventHandler(Event *event_ptr);
	void draw();

	void attack();
	void spawnZombies();
	void move(int x, int y);
};

#endif // __BOSS_H__
