// Clock.h
// Brian Seney
// IMGD3000

#ifndef __CLOCK_H__
#define __CLOCK_H__

#include <time.h>

class Clock{
	private:
	timespec previous_time;
	// Initialize the clock
	Clock();
	~Clock(){}
	// Return difference between current time and previous time
	// Previous time is then updated to the current time
	long int delta_t();

	public:
	friend class GameManager;
};

#endif // __CLOCK_H__
