// Frame.h
// Brian Seney
// IMGD3000

#ifndef __FRAME_H__
#define __FRAME_H__

#include <string>
#include <vector>

using namespace std;

class Frame{
	private:
	int width;
	int height;

	string str; // The characters to display
	vector<int> colors; // The colors to display

	public:
	Frame(){};
	Frame(int new_width, int new_height, string new_str){
		width = new_width;
		height = new_height;
		str = new_str;
	}
	Frame(int new_width, int new_height, string new_str, vector<int> new_colors){
		width = new_width;
		height = new_height;
		str = new_str;
		colors = new_colors;
	}
	~Frame(){};

	// Getters, setters
	int getWidth(){ return width; }
	void setWidth(int new_width){ width = new_width; }
	int getHeight(){ return height; }
	void getHeight(int new_height){ height = new_height; }
	string getString(){ return str; }
	void setString(string new_str){ str = new_str; }
	vector<int> getColors(){ return colors; }
	void setColors(vector<int> new_colors){ colors = new_colors; }
};

#endif // __FRAME_H__
