// Alfredo Porras
// Brian Seney
// IMGD 3000

// Path Search Node

#include "PathSearchNode.h"
#include <math.h>

PathSearchNode::PathSearchNode() {

}

PathSearchNode::PathSearchNode(PathSearchNode *par, Position p, int so_far, Position goal) {
	parent = par;
	pos = p;
	g = so_far;
	
	h = getHeuristic(goal);
	
}

PathSearchNode::~PathSearchNode() {

}

double PathSearchNode::getHeuristic(Position goal) {
	// straight line distance from Node's pos to the goal
	return sqrt(pow((goal.get_x() - pos.get_x()),2) + pow((goal.get_y() - pos.get_y()),2));
}

double PathSearchNode::getEstimate() {
	return (g + h);
}
/*
bool PathSearchNode::operator()(PathSearchNode &n1, PathSearchNode &n2) {
	if (n1.getEstimate() > n2.getEstimate()) {
	// the one with the greater estimate has the lower priority
		return true;
	}
	return false;
}
*/
Position PathSearchNode::getPos() {
	return pos;
}

int PathSearchNode::getG() {
	return g;
}

PathSearchNode *PathSearchNode::getParent() {
	return parent;
}
