// Alfredo Porras
// Brian Seney
// IMGD 3000

// Path Search Node

#ifndef __PATH_SEARCH_NODE_H__
#define __PATH_SEARCH_NODE_H__

#include "Position.h"

class PathSearchNode {
	private:
		Position pos;
		PathSearchNode *parent;
		int g;
		double h;

		double getHeuristic(Position goal);

	public:
		PathSearchNode();
		PathSearchNode(PathSearchNode *par, Position p, int so_far, Position goal);
		~PathSearchNode();
//		bool operator()(PathSearchNode &n1, PathSearchNode &n2);

		Position getPos();
		int getG();
		PathSearchNode *getParent();

		double getEstimate();

};

#endif // __PATH_SEARCH_NODE_H__
