// EventBallMovement.h
// Brian Seney, Alfredo Porras
// IMGD3000

#ifndef __EVENTBALLMOVEMENT_H__
#define __EVENTBALLMOVEMENT_H__

#include "Engine/Event.h"
#include "Engine/Position.h"

#define BALLMOVEMENT_EVENT "ballmoved"

class EventBallMovement : public Event{
	protected:
	Position target_pos;

	public:
	EventBallMovement(Position pos){
		target_pos = pos;
		type = BALLMOVEMENT_EVENT;
	}

	Position getTargetPos(){ return target_pos; }
};

#endif // __EVENTBALLMOVEMENT_H__
