// OpponentGunZombie.h
// Alfredo Porras, Brian Seney
// IMGD 3000

#ifndef __OPPONENT_GUN_ZOMBIE_H__
#define __OPPONENT_GUN_ZOMBIE_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"

#define OPPONENT_TYPE "opponent"

#include "OpponentZombie.h"

class OpponentGunZombie : public OpponentZombie {
	private:
		int shot_cooldown;
		int shot_countdown;
		int shooting_distance;
	
	public:
		OpponentGunZombie();
		OpponentGunZombie(int sight);
		OpponentGunZombie(int sight, int shot_freq);
		~OpponentGunZombie();
		int eventHandler(Event *event_ptr);
		//void move();
		void attack();
		//bool isClose(Position targ);
		bool tryFire();
		bool isCloseEnough(Position targ);
};

#endif
