// Alfredo Porras
// Brian Seney
// IMGD 3000

#ifndef __OPPONENT_HUNTER_H__
#define __OPPONENT_HUNTER_H__

#include "Opponent.h"
#include <stack>
#include "Engine/PathSearch.h"
#include "Engine/Position.h"
#include "Engine/Event.h"

class OpponentHunter : public Opponent {
	private:
		void move();
		bool hunting;
		int sight_radius;
		bool isClose(Position targ);
		void clearPath();

	public:
		OpponentHunter();
		OpponentHunter(Position target);
		~OpponentHunter();

		stack<Position> path;
		int eventHandler(Event *event_ptr);

};

#endif // __OPPONENT_HUNTER_H__
