// OpponentZombie.h
// Alfredo Porras, Brian Seney
// IMGD 3000

#ifndef __OPPONENT_ZOMBIE_H__
#define __OPPONENT_ZOMBIE_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"

#define OPPONENT_TYPE "opponent"

#include "Opponent.h"

class OpponentZombie : public Opponent {
	protected:
		int sight_radius;
	
	public:
		OpponentZombie();
		OpponentZombie(int sight);
		~OpponentZombie();
		virtual int eventHandler(Event *event_ptr);
		void move();
		virtual void attack();
		bool isClose(Position targ);
};

#endif // __OPPONENT_ZOMBIE_H__
